Index: extensions/NBC_UserAdvManager/trunk/admin/UserAdvManager_admin.php
===================================================================
--- extensions/NBC_UserAdvManager/trunk/admin/UserAdvManager_admin.php	(revision 4135)
+++ extensions/NBC_UserAdvManager/trunk/admin/UserAdvManager_admin.php	(revision 4143)
@@ -63,6 +63,8 @@
 		$_POST['UserAdvManager_MailInfo_Text'] = str_replace("\'", "'", str_replace("\\\\", "\\", $_POST['UserAdvManager_MailInfo_Text']));
 		$_POST['UserAdvManager_ConfirmMail_Text'] = str_replace("\'", "'", str_replace("\\\\", "\\", $_POST['UserAdvManager_ConfirmMail_Text']));
-		
-		$newconf_nbc_UserAdvManager = $_POST['UserAdvManager_Mail_Info'].';'.$_POST['UserAdvManager_No_Casse'].';'.$_POST['UserAdvManager_Confirm_Mail'].';'.(isset($_POST['UserAdvManager_No_Confirm_Group'])?$_POST['UserAdvManager_No_Confirm_Group']:'').';'.(isset($_POST['UserAdvManager_Validated_Group'])?$_POST['UserAdvManager_Validated_Group']:'').';'.(isset($_POST['UserAdvManager_Validated_Status'])?$_POST['UserAdvManager_Validated_Status']:'').';'.$_POST['UserAdvManager_No_Comment_Anonymous'].';'.$_POST['UserAdvManager_Username_Char'].';'.$_POST['UserAdvManager_Username_List'].';'.(isset($_POST['UserAdvManager_No_Confirm_Status'])?$_POST['UserAdvManager_No_Confirm_Status']:'').';'.$_POST['UserAdvManager_MailInfo_Text'].';'.$_POST['UserAdvManager_ConfirmMail_Text'].';'.$_POST['UserAdvManager_MailExclusion'].';'.$_POST['UserAdvManager_MailExclusion_List'].';'.$_POST['UserAdvManager_Password_Enforced'].';'.$_POST['UserAdvManager_Password_Score'].';'.$_POST['UserAdvManager_AdminPassword_Enforced'].';'.$_POST['UserAdvManager_GhostUser_Tracker'];
+
+  $_POST['UserAdvManager_GhostTracker_ReminderText'] = str_replace("\'", "'", str_replace("\\\\", "\\", $_POST['UserAdvManager_GhostTracker_ReminderText']));
+		
+		$newconf_nbc_UserAdvManager = $_POST['UserAdvManager_Mail_Info'].';'.$_POST['UserAdvManager_No_Casse'].';'.$_POST['UserAdvManager_Confirm_Mail'].';'.(isset($_POST['UserAdvManager_No_Confirm_Group'])?$_POST['UserAdvManager_No_Confirm_Group']:'').';'.(isset($_POST['UserAdvManager_Validated_Group'])?$_POST['UserAdvManager_Validated_Group']:'').';'.(isset($_POST['UserAdvManager_Validated_Status'])?$_POST['UserAdvManager_Validated_Status']:'').';'.$_POST['UserAdvManager_No_Comment_Anonymous'].';'.$_POST['UserAdvManager_Username_Char'].';'.$_POST['UserAdvManager_Username_List'].';'.(isset($_POST['UserAdvManager_No_Confirm_Status'])?$_POST['UserAdvManager_No_Confirm_Status']:'').';'.$_POST['UserAdvManager_MailInfo_Text'].';'.$_POST['UserAdvManager_ConfirmMail_Text'].';'.$_POST['UserAdvManager_MailExclusion'].';'.$_POST['UserAdvManager_MailExclusion_List'].';'.$_POST['UserAdvManager_Password_Enforced'].';'.$_POST['UserAdvManager_Password_Score'].';'.$_POST['UserAdvManager_AdminPassword_Enforced'].';'.$_POST['UserAdvManager_GhostUser_Tracker'].';'.$_POST['UserAdvManager_GhostTracker_DayLimit'].';'.$_POST['UserAdvManager_GhostTracker_ReminderText'];
 		
 		$conf['nbc_UserAdvManager'] = $newconf_nbc_UserAdvManager;
@@ -182,32 +184,34 @@
   $template->assign(
     array(
-		'UserAdvManager_MAIL_INFO_TRUE'       => $conf_nbc_UserAdvManager[0]=='true' ?  'checked="checked"' : '' ,
-		'UserAdvManager_MAIL_INFO_FALSE'      => $conf_nbc_UserAdvManager[0]=='false' ?  'checked="checked"' : '' ,
-		'UserAdvManager_MAILINFO_TEXT'        => $conf_nbc_UserAdvManager[10],
-		'UserAdvManager_NO_CASSE_TRUE'        => $conf_nbc_UserAdvManager[1]=='true' ?  'checked="checked"' : '' ,
-		'UserAdvManager_NO_CASSE_FALSE'       => $conf_nbc_UserAdvManager[1]=='false' ?  'checked="checked"' : '' ,
-		'UserAdvManager_USERNAME_CHAR_TRUE'   => $conf_nbc_UserAdvManager[7]=='true' ?  'checked="checked"' : '' ,
-		'UserAdvManager_USERNAME_CHAR_FALSE'  => $conf_nbc_UserAdvManager[7]=='false' ?  'checked="checked"' : '' ,
-		'UserAdvManager_USERNAME_CHAR_LIST'   => $conf_nbc_UserAdvManager[8],
-		'UserAdvManager_CONFIRM_MAIL_TRUE'    => $conf_nbc_UserAdvManager[2]=='true' ?  'checked="checked"' : '' ,
-		'UserAdvManager_CONFIRM_MAIL_FALSE'   => $conf_nbc_UserAdvManager[2]=='false' ?  'checked="checked"' : '' ,
-		'UserAdvManager_CONFIRMMAIL_TEXT'     => $conf_nbc_UserAdvManager[11],
-		'UserAdvManager_No_Confirm_Group'     => $conf_nbc_UserAdvManager[3],
-		'UserAdvManager_Validated_Group'      => $conf_nbc_UserAdvManager[4],
-		'UserAdvManager_No_Confirm_Status'    => $conf_nbc_UserAdvManager[9],
-		'UserAdvManager_Validated_Status'     => $conf_nbc_UserAdvManager[5],
-		'UserAdvManager_NO_COMMENT_ANO_TRUE'  => $conf_nbc_UserAdvManager[6]=='true' ?  'checked="checked"' : '' ,
-		'UserAdvManager_NO_COMMENT_ANO_FALSE' => $conf_nbc_UserAdvManager[6]=='false' ?  'checked="checked"' : '' ,
-		'UserAdvManager_MAILEXCLUSION_TRUE'   => $conf_nbc_UserAdvManager[12]=='true' ?  'checked="checked"' : '' ,
-		'UserAdvManager_MAILEXCLUSION_FALSE'  => $conf_nbc_UserAdvManager[12]=='false' ?  'checked="checked"' : '' ,
-		'UserAdvManager_MAILEXCLUSION_LIST'   => $conf_nbc_UserAdvManager[13],
-		'UserAdvManager_PASSWORDENF_TRUE'     => $conf_nbc_UserAdvManager[14]=='true' ?  'checked="checked"' : '' ,
-		'UserAdvManager_PASSWORDENF_FALSE'    => $conf_nbc_UserAdvManager[14]=='false' ?  'checked="checked"' : '' ,
-		'UserAdvManager_PASSWORD_SCORE'       => $conf_nbc_UserAdvManager[15],
-    'UserAdvManager_ADMINPASSWENF_TRUE'   => $conf_nbc_UserAdvManager[16]=='true' ?  'checked="checked"' : '' ,
-		'UserAdvManager_ADMINPASSWENF_FALSE'  => $conf_nbc_UserAdvManager[16]=='false' ?  'checked="checked"' : '' ,
-    'UserAdvManager_GHOSTRACKER_TRUE'     => $conf_nbc_UserAdvManager[17]=='true' ?  'checked="checked"' : '' ,
-		'UserAdvManager_GHOSTRACKER_FALSE'    => $conf_nbc_UserAdvManager[17]=='false' ?  'checked="checked"' : '' ,
-		'UserAdvManager_PASSWORD_TEST_SCORE'  => $UserAdvManager_Password_Test_Score,
+		'UserAdvManager_MAIL_INFO_TRUE'           => $conf_nbc_UserAdvManager[0]=='true' ?  'checked="checked"' : '' ,
+		'UserAdvManager_MAIL_INFO_FALSE'          => $conf_nbc_UserAdvManager[0]=='false' ?  'checked="checked"' : '' ,
+		'UserAdvManager_MAILINFO_TEXT'            => $conf_nbc_UserAdvManager[10],
+		'UserAdvManager_NO_CASSE_TRUE'            => $conf_nbc_UserAdvManager[1]=='true' ?  'checked="checked"' : '' ,
+		'UserAdvManager_NO_CASSE_FALSE'           => $conf_nbc_UserAdvManager[1]=='false' ?  'checked="checked"' : '' ,
+		'UserAdvManager_USERNAME_CHAR_TRUE'       => $conf_nbc_UserAdvManager[7]=='true' ?  'checked="checked"' : '' ,
+		'UserAdvManager_USERNAME_CHAR_FALSE'      => $conf_nbc_UserAdvManager[7]=='false' ?  'checked="checked"' : '' ,
+		'UserAdvManager_USERNAME_CHAR_LIST'       => $conf_nbc_UserAdvManager[8],
+		'UserAdvManager_CONFIRM_MAIL_TRUE'        => $conf_nbc_UserAdvManager[2]=='true' ?  'checked="checked"' : '' ,
+		'UserAdvManager_CONFIRM_MAIL_FALSE'       => $conf_nbc_UserAdvManager[2]=='false' ?  'checked="checked"' : '' ,
+		'UserAdvManager_CONFIRMMAIL_TEXT'         => $conf_nbc_UserAdvManager[11],
+		'UserAdvManager_No_Confirm_Group'         => $conf_nbc_UserAdvManager[3],
+		'UserAdvManager_Validated_Group'          => $conf_nbc_UserAdvManager[4],
+		'UserAdvManager_No_Confirm_Status'        => $conf_nbc_UserAdvManager[9],
+		'UserAdvManager_Validated_Status'         => $conf_nbc_UserAdvManager[5],
+		'UserAdvManager_NO_COMMENT_ANO_TRUE'      => $conf_nbc_UserAdvManager[6]=='true' ?  'checked="checked"' : '' ,
+		'UserAdvManager_NO_COMMENT_ANO_FALSE'     => $conf_nbc_UserAdvManager[6]=='false' ?  'checked="checked"' : '' ,
+		'UserAdvManager_MAILEXCLUSION_TRUE'       => $conf_nbc_UserAdvManager[12]=='true' ?  'checked="checked"' : '' ,
+		'UserAdvManager_MAILEXCLUSION_FALSE'      => $conf_nbc_UserAdvManager[12]=='false' ?  'checked="checked"' : '' ,
+		'UserAdvManager_MAILEXCLUSION_LIST'       => $conf_nbc_UserAdvManager[13],
+		'UserAdvManager_PASSWORDENF_TRUE'         => $conf_nbc_UserAdvManager[14]=='true' ?  'checked="checked"' : '' ,
+		'UserAdvManager_PASSWORDENF_FALSE'        => $conf_nbc_UserAdvManager[14]=='false' ?  'checked="checked"' : '' ,
+		'UserAdvManager_PASSWORD_SCORE'           => $conf_nbc_UserAdvManager[15],
+    'UserAdvManager_ADMINPASSWENF_TRUE'       => $conf_nbc_UserAdvManager[16]=='true' ?  'checked="checked"' : '' ,
+		'UserAdvManager_ADMINPASSWENF_FALSE'      => $conf_nbc_UserAdvManager[16]=='false' ?  'checked="checked"' : '' ,
+    'UserAdvManager_GHOSTRACKER_TRUE'         => $conf_nbc_UserAdvManager[17]=='true' ?  'checked="checked"' : '' ,
+		'UserAdvManager_GHOSTRACKER_FALSE'        => $conf_nbc_UserAdvManager[17]=='false' ?  'checked="checked"' : '' ,
+    'UserAdvManager_GHOSTRACKER_DAYLIMIT'     => $conf_nbc_UserAdvManager[18],
+    'UserAdvManager_GHOSTRACKER_REMINDERTEXT' => $conf_nbc_UserAdvManager[19],
+		'UserAdvManager_PASSWORD_TEST_SCORE'      => $UserAdvManager_Password_Test_Score,
     )
   );
@@ -958,5 +962,5 @@
 // +-----------------------------------------------------------------------+
 
-		$page['filtered_users'] = get_unvalid_user_list();
+		$page['filtered_users'] = get_ghost_user_list();
 
 // +-----------------------------------------------------------------------+
@@ -1041,10 +1045,10 @@
 
 // +-----------------------------------------------------------------------+
-// |                 Resend new validation key to users                    |
+// |                          Send ghost reminder                          |
 // +-----------------------------------------------------------------------+
 // +-----------------------------------------------------------------------+
 // |                            selected users                             |
 // +-----------------------------------------------------------------------+
-		if (isset($_POST['Mail_With_Key']))
+		if (isset($_POST['Reminder_Email']))
 		{
   		$collection = array();
@@ -1076,24 +1080,24 @@
 		}
 // +-----------------------------------------------------------------------+
-// |                 Resend new validation key to users                    |
-// +-----------------------------------------------------------------------+
-		if (isset($_POST['Mail_With_Key']) and count($collection) > 0)
+// |                         Send ghost reminder                           |
+// +-----------------------------------------------------------------------+
+		if (isset($_POST['Reminder_Email']) and count($collection) > 0)
 		{
 			if (in_array($conf['guest_id'], $collection))
    		{
-    		array_push($page['errors'], l10n('No_validation_for_Guest'));
+    		array_push($page['errors'], l10n('No_reminder_for_Guest'));
     	}
     	if (($conf['guest_id'] != $conf['default_user_id']) and
     		in_array($conf['default_user_id'], $collection))
     	{
-    		array_push($page['errors'], l10n('No_validation_for_default_user'));
+    		array_push($page['errors'], l10n('No_reminder_for_default_user'));
     	}
    		if (in_array($conf['webmaster_id'], $collection))
     	{
-    		array_push($page['errors'], l10n('No_validation_for_Webmaster'));
+    		array_push($page['errors'], l10n('No_reminder_for_Webmaster'));
     	}
     	if (in_array($user['id'], $collection))
     	{
-    		array_push($page['errors'], l10n('No_validation_for_your_account'));
+    		array_push($page['errors'], l10n('No_reminder_for_your_account'));
     	}
 
@@ -1101,90 +1105,5 @@
     	{
     		foreach ($collection as $user_id)
-      	{     	
-      		$typemail = 1;
-				  $query = "
-						SELECT id, username, mail_address
-						FROM ".USERS_TABLE."
-						WHERE id = '".$user_id."'
-						;";
-					$data = mysql_fetch_array(pwg_query($query));
-				
-      		ResendMail2User($typemail,$user_id,$data['username'],$data['mail_address'],true);
-      	}
-      	array_push(
-      		$page['infos'],
-        	l10n_dec(
-        		'%d_Mail_With_Key', '%d_Mails_With_Key',
-        	count($collection)
-        	)
-      	);
-      	
-				$page['filtered_users'] = get_unvalid_user_list();
-			}
-		}
-
-// +-----------------------------------------------------------------------+
-// |             Send reminder without new key to users                    |
-// +-----------------------------------------------------------------------+
-// +-----------------------------------------------------------------------+
-// |                            selected users                             |
-// +-----------------------------------------------------------------------+
-		if (isset($_POST['Mail_Without_Key']))
-		{
-  		$collection = array();
-
-			switch ($_POST['target'])
-    	{
-    		case 'all' :
-      	{
-      		foreach($page['filtered_users'] as $local_user)
-        	{
-        		array_push($collection, $local_user['id']);
-        	}
-        	break;
-				}
-      	case 'selection' :
-      	{
-      		if (isset($_POST['selection']))
-        	{
-        		$collection = $_POST['selection'];
-        	}
-        	break;
-      	}
-			}
-
-    	if (count($collection) == 0)
-    	{
-    		array_push($page['errors'], l10n('Select at least one user'));
-    	}
-		}
-// +-----------------------------------------------------------------------+
-// |             Send reminder without new key to users                    |
-// +-----------------------------------------------------------------------+
-		if (isset($_POST['Mail_Without_Key']) and count($collection) > 0)
-		{
-			if (in_array($conf['guest_id'], $collection))
-   		{
-    		array_push($page['errors'], l10n('No_validation_for_Guest'));
-    	}
-    	if (($conf['guest_id'] != $conf['default_user_id']) and
-    		in_array($conf['default_user_id'], $collection))
-    	{
-    		array_push($page['errors'], l10n('No_validation_for_default_user'));
-    	}
-   		if (in_array($conf['webmaster_id'], $collection))
-    	{
-    		array_push($page['errors'], l10n('No_validation_for_Webmaster'));
-    	}
-    	if (in_array($user['id'], $collection))
-    	{
-    		array_push($page['errors'], l10n('No_validation_for_your_account'));
-    	}
-
-    	if (count($page['errors']) == 0)
-    	{
-    		foreach ($collection as $user_id)
-      	{
-      		$typemail = 2;
+      	{
 				  $query = "
 						SELECT id, username, mail_address
@@ -1195,5 +1114,5 @@
 					$data = mysql_fetch_array(pwg_query($query));
 				
-      		ResendMail2User($typemail,$user_id,$data['username'],$data['mail_address'],false);				
+      		ghostreminder($user_id,$data['username'],$data['mail_address']);				
       	}
       	array_push(
@@ -1205,111 +1124,7 @@
       	);
       	
-				$page['filtered_users'] = get_unvalid_user_list();
-			}
-		}
-
-// +-----------------------------------------------------------------------+
-// |             								Force validation					                 |
-// +-----------------------------------------------------------------------+
-// +-----------------------------------------------------------------------+
-// |                            selected users                             |
-// +-----------------------------------------------------------------------+
-		if (isset($_POST['Force_Validation']))
-		{
-  		$collection = array();
-
-			switch ($_POST['target'])
-    	{
-    		case 'all' :
-      	{
-      		foreach($page['filtered_users'] as $local_user)
-        	{
-        		array_push($collection, $local_user['id']);
-        	}
-        	break;
-				}
-      	case 'selection' :
-      	{
-      		if (isset($_POST['selection']))
-        	{
-        		$collection = $_POST['selection'];
-        	}
-        	break;
-      	}
-			}
-
-    	if (count($collection) == 0)
-    	{
-    		array_push($page['errors'], l10n('Select at least one user'));
-    	}
-		}
-// +-----------------------------------------------------------------------+
-// |             								Force validation					                 |
-// +-----------------------------------------------------------------------+
-		if (isset($_POST['Force_Validation']) and count($collection) > 0)
-		{
-			if (in_array($conf['guest_id'], $collection))
-   		{
-    		array_push($page['errors'], l10n('No_validation_for_Guest'));
-    	}
-    	if (($conf['guest_id'] != $conf['default_user_id']) and
-    		in_array($conf['default_user_id'], $collection))
-    	{
-    		array_push($page['errors'], l10n('No_validation_for_default_user'));
-    	}
-   		if (in_array($conf['webmaster_id'], $collection))
-    	{
-    		array_push($page['errors'], l10n('No_validation_for_Webmaster'));
-    	}
-    	if (in_array($user['id'], $collection))
-    	{
-    		array_push($page['errors'], l10n('No_validation_for_your_account'));
-    	}
-
-    	if (count($page['errors']) == 0)
-    	{
-    		foreach ($collection as $user_id)
-      	{
-				  $query = "
-						SELECT id, username, mail_address
-						FROM ".USERS_TABLE."
-						WHERE id = '".$user_id."'
-					;";
-					
-					$data = mysql_fetch_array(pwg_query($query));
-				
-      		ForceValidation($data['id']);				
-      	}
-      	array_push(
-      		$page['infos'],
-        	l10n_dec(
-        		'%d_Validated_User', '%d_Validated_Users',
-       		count($collection)
-        	)
-      	);
-
-				$page['filtered_users'] = get_unvalid_user_list();
-			}
-		}
-		
-
-// +-----------------------------------------------------------------------+
-// |                              groups list                              |
-// +-----------------------------------------------------------------------+
-
-		$groups[-1] = '------------';
-
-    $query = '
-      SELECT id, name
-      FROM '.GROUPS_TABLE.'
-      ORDER BY name ASC
-      ;';
-
-		$result = pwg_query($query);
-          
-    while ($row = mysql_fetch_array($result))
-    {
-      $groups[$row['id']] = $row['name'];
-    }
+				$page['filtered_users'] = get_ghost_user_list();
+			}
+		}
 
 // +-----------------------------------------------------------------------+
@@ -1341,10 +1156,8 @@
     	}
 
+	
 // +-----------------------------------------------------------------------+
 // |                               user list                               |
 // +-----------------------------------------------------------------------+
-
-		$profile_url = get_root_url().'admin.php?page=profile&amp;user_id=';
-		$perm_url = get_root_url().'admin.php?page=user_perm&amp;user_id=';
 
     $visible_user_list = array();
@@ -1363,16 +1176,17 @@
       $visible_user_list[] = $local_user;
 		}
-    
+
+    $reminder = '';
+    if (isset($local_user['reminder']) and $local_user['reminder'] == 'true')
+    {
+      $reminder = l10n('Reminder_Sent_OK');
+    }
+    else if (isset($local_user['reminder']) and $local_user['reminder'] == 'false')
+    {
+      $reminder = l10n('Reminder_Sent_NOK');
+    }
+
 		foreach ($visible_user_list as $local_user)
     {
-      $groups_string = preg_replace(
-      	'/(\d+)/e',
-        "\$groups['$1']",
-        implode(
-        	', ',
-            $local_user['groups']
-         )
-			);
-
 	  	if (isset($_POST['pref_submit'])
     		and isset($_POST['selection'])
@@ -1386,15 +1200,4 @@
     	}
 
-    	$properties = array();
-    	if ( $local_user['level'] != 0 )
-			{
-    		$properties[] = l10n( sprintf('Level %d', $local_user['level']) );
-			}
-    	$properties[] =
-    		(isset($local_user['enabled_high']) and ($local_user['enabled_high'] == 'true'))
-      		? l10n('is_high_enabled') : l10n('is_high_disabled');
-
-			$expiration = expiration($local_user['id']);
-              
    		$template->append(
      		'users',
@@ -1402,6 +1205,4 @@
        		'ID' => $local_user['id'],
          	'CHECKED' => $checked,
-         	'U_PROFILE' => $profile_url.$local_user['id'],
-         	'U_PERM' => $perm_url.$local_user['id'],
          	'USERNAME' => $local_user['username']
 						.($local_user['id'] == $conf['guest_id']
@@ -1409,11 +1210,7 @@
            	.($local_user['id'] == $conf['default_user_id']
            	? '<BR />['.l10n('is_the_default').']' : ''),
-					'STATUS' => l10n('user_status_'.
-						$local_user['status']).(($local_user['adviser'] == 'true')
-           	? '<BR />['.l10n('adviser').']' : ''),
 					'EMAIL' => get_email_address_as_display_text($local_user['email']),
-         	'GROUPS' => $groups_string,
-         	'REGISTRATION' => $local_user['registration_date'],
-         	'EXPIRATION' => $expiration,
+          'LASTVISIT' => $local_user['lastvisit'],
+          'REMINDER' => $reminder,
 				)
 			);
@@ -1436,11 +1233,11 @@
 // +-----------------------------------------------------------------------+
 		$template->set_filename('plugin_admin_content', dirname(__FILE__) . '/ghosttracker.tpl');
-    $template->assign_var_from_handle('ADMIN_CONTENT', 'plugin_admin_content');
-  }
+    $template->assign_var_from_handle('ADMIN_CONTENT', 'plugin_admin_content');		
+	}
   else
   {
 		array_push($page['infos'], l10n('Err_GhostTracker_Settings'));
   }
-  break; 
+  break;
 }
 ?>
Index: extensions/NBC_UserAdvManager/trunk/admin/confirmmail.tpl
===================================================================
--- extensions/NBC_UserAdvManager/trunk/admin/confirmmail.tpl	(revision 4135)
+++ extensions/NBC_UserAdvManager/trunk/admin/confirmmail.tpl	(revision 4143)
@@ -9,32 +9,25 @@
     	<li><label>{'UserAdvManager_ConfirmMail_Info'|@translate}</label><br>
         <input type="radio" value="true" {$UserAdvManager_CONFIRMMAIL_TIMEOUT_TRUE} name="UserAdvManager_ConfirmMail_TimeOut"/> {'UserAdvManager_ConfirmMail_TimeOut_true'|@translate}<br>
-        <input type="radio" value="false" {$UserAdvManager_CONFIRMMAIL_TIMEOUT_FALSE} name="UserAdvManager_ConfirmMail_TimeOut"/> {'UserAdvManager_ConfirmMail_TimeOut_false'|@translate}<br>
-      <br>
+        <input type="radio" value="false" {$UserAdvManager_CONFIRMMAIL_TIMEOUT_FALSE} name="UserAdvManager_ConfirmMail_TimeOut"/> {'UserAdvManager_ConfirmMail_TimeOut_false'|@translate}<br><br>
     	</li>
-		<li><label>{'UserAdvManager_ConfirmMail_Delay_Info'|@translate}</label><input type="text" name="UserAdvManager_ConfirmMail_Delay" value="{$UserAdvManager_CONFIRMMAIL_DELAY}" size="5" style="text-align: center;"/><br>
-      <br>
+		<li><label>{'UserAdvManager_ConfirmMail_Delay_Info'|@translate}</label><input type="text" name="UserAdvManager_ConfirmMail_Delay" value="{$UserAdvManager_CONFIRMMAIL_DELAY}" size="5" style="text-align: center;"/><br><br>
 		</li>
     <li><label>{'UserAdvManager_ConfirmMail_Remail'|@translate}</label><br>
     	<input type="radio" value="true" {$UserAdvManager_CONFIRMMAIL_REMAIL_TRUE} name="UserAdvManager_ConfirmMail_Remail"/> {'UserAdvManager_ConfirmMail_Remail_true'|@translate}<br>
-      <input type="radio" value="false" {$UserAdvManager_CONFIRMMAIL_REMAIL_FALSE} name="UserAdvManager_ConfirmMail_Remail"/> {'UserAdvManager_ConfirmMail_Remail_false'|@translate}<br>
-    <br>
+      <input type="radio" value="false" {$UserAdvManager_CONFIRMMAIL_REMAIL_FALSE} name="UserAdvManager_ConfirmMail_Remail"/> {'UserAdvManager_ConfirmMail_Remail_false'|@translate}<br><br>
     </li>
  	{if $UserAdvManager_CONFIRMMAIL_REMAIL_TRUE}
 		<li><label>{'UserAdvManager_ConfirmMail_ReMail_Txt1'|@translate}</label><br>
-		<textarea name="UserAdvManager_ConfirmMail_ReMail_Txt1" id="UserAdvManager_ConfirmMail_ReMail_Txt1" rows="10" cols="80" {$TAG_INPUT_ENABLED}>{$UserAdvManager_CONFIRMMAIL_REMAIL_TXT1}</textarea>
-    <br><br>
+		<textarea name="UserAdvManager_ConfirmMail_ReMail_Txt1" id="UserAdvManager_ConfirmMail_ReMail_Txt1" rows="10" cols="80" {$TAG_INPUT_ENABLED}>{$UserAdvManager_CONFIRMMAIL_REMAIL_TXT1}</textarea><br><br>
 	  </li>
 		<li><label>{'UserAdvManager_ConfirmMail_ReMail_Txt2'|@translate}</label><br>
-		<textarea name="UserAdvManager_ConfirmMail_ReMail_Txt2" id="UserAdvManager_ConfirmMail_ReMail_Txt2" rows="10" cols="80" {$TAG_INPUT_ENABLED}>{$UserAdvManager_CONFIRMMAIL_REMAIL_TXT2}</textarea>
-    <br>
+		<textarea name="UserAdvManager_ConfirmMail_ReMail_Txt2" id="UserAdvManager_ConfirmMail_ReMail_Txt2" rows="10" cols="80" {$TAG_INPUT_ENABLED}>{$UserAdvManager_CONFIRMMAIL_REMAIL_TXT2}</textarea><br>
 	  </li>
   {else}
 		<li><label>{'UserAdvManager_ConfirmMail_ReMail_Txt1'|@translate}</label><br>
-		<textarea  name="UserAdvManager_ConfirmMail_ReMail_Txt1" id="UserAdvManager_ConfirmMail_ReMail_Txt1" rows="10" cols="80" readonly{$TAG_INPUT_ENABLED}>{$UserAdvManager_CONFIRMMAIL_REMAIL_TXT1}</textarea>
-    <br><br>
+		<textarea  name="UserAdvManager_ConfirmMail_ReMail_Txt1" id="UserAdvManager_ConfirmMail_ReMail_Txt1" rows="10" cols="80" readonly{$TAG_INPUT_ENABLED}>{$UserAdvManager_CONFIRMMAIL_REMAIL_TXT1}</textarea><br><br>
 	  </li>
 		<li><label>{'UserAdvManager_ConfirmMail_ReMail_Txt2'|@translate}</label><br>
-		<textarea name="UserAdvManager_ConfirmMail_ReMail_Txt2" id="UserAdvManager_ConfirmMail_ReMail_Txt2" rows="10" cols="80" readonly {$TAG_INPUT_ENABLED}>{$UserAdvManager_CONFIRMMAIL_REMAIL_TXT2}</textarea>
-    <br>
+		<textarea name="UserAdvManager_ConfirmMail_ReMail_Txt2" id="UserAdvManager_ConfirmMail_ReMail_Txt2" rows="10" cols="80" readonly {$TAG_INPUT_ENABLED}>{$UserAdvManager_CONFIRMMAIL_REMAIL_TXT2}</textarea><br>
 	  </li>
 	{/if}
Index: extensions/NBC_UserAdvManager/trunk/admin/global.tpl
===================================================================
--- extensions/NBC_UserAdvManager/trunk/admin/global.tpl	(revision 4135)
+++ extensions/NBC_UserAdvManager/trunk/admin/global.tpl	(revision 4143)
@@ -21,10 +21,10 @@
         <input type="radio" value="true" {$UserAdvManager_PASSWORDENF_TRUE} name="UserAdvManager_Password_Enforced">{'UserAdvManager_Password_Enforced_true'|@translate}
         <input type="text" name="UserAdvManager_Password_Score" value="{$UserAdvManager_PASSWORD_SCORE}" size="5" style="text-align: center;"><br><br>
-        
+{if $UserAdvManager_PASSWORDENF_TRUE}        
         <label>{'UserAdvManager_Password_Enforced_Info'|@translate}</label><br><br>
         {'UserAdvManager_PasswordTest'|@translate}<input type="text" name="UserAdvManager_Password_Test" value="{$UserAdvManager_PASSWORD_TEST}" size="50" style="text-align: left;">&nbsp;&nbsp;&nbsp;
         <input class="submit" type="submit" value="{'PasswordTest'|@translate}" name="PasswordTest" >&nbsp;&nbsp;&nbsp;
         {'UserAdvManager_ScoreTest'|@translate}{$UserAdvManager_PASSWORD_TEST_SCORE}<br><br>
-        
+{/if}        
         <input type="radio" value="false" {$UserAdvManager_PASSWORDENF_FALSE} name="UserAdvManager_Password_Enforced">{'UserAdvManager_Password_Enforced_false'|@translate}<br><br>
     	</li>
@@ -43,14 +43,22 @@
         <input type="radio" value="false" {$UserAdvManager_MAILEXCLUSION_FALSE} name="UserAdvManager_MailExclusion">{'UserAdvManager_MailExclusion_false'|@translate}<br><br>
     	</li>
-      
+{if $UserAdvManager_MAILEXCLUSION_TRUE}      
     	<li><label>{'UserAdvManager_MailExclusion_List'|@translate}</label><br>
         <textarea name="UserAdvManager_MailExclusion_List" id="UserAdvManager_MailExclusion_List" rows="3" cols="80" {$TAG_INPUT_ENABLED}>{$UserAdvManager_MAILEXCLUSION_LIST}</textarea><br><br>
     	</li>
-
+{/if}
     	<li><label>{'UserAdvManager_GhostTracker'|@translate}</label><br>
         <input type="radio" value="true" {$UserAdvManager_GHOSTRACKER_TRUE} name="UserAdvManager_GhostUser_Tracker">{'UserAdvManager_GhostTracker_true'|@translate}<br>
         <input type="radio" value="false" {$UserAdvManager_GHOSTRACKER_FALSE} name="UserAdvManager_GhostUser_Tracker">{'UserAdvManager_GhostTracker_false'|@translate}<br><br>
     	</li>
+{if $UserAdvManager_GHOSTRACKER_TRUE}
+    	<li><label>{'UserAdvManager_GhostTracker_DayLimit'|@translate}</label><br>
+        <input type="text" name="UserAdvManager_GhostTracker_DayLimit" value="{$UserAdvManager_GHOSTRACKER_DAYLIMIT}" size="5" style="text-align: center;"><br><br>
+      </li>
 
+    	<li><label>{'UserAdvManager_GhostTracker_ReminderText'|@translate}</label><br><br>
+        <textarea name="UserAdvManager_GhostTracker_ReminderText" id="UserAdvManager_GhostTracker_ReminderText" rows="10" cols="80" {$TAG_INPUT_ENABLED}>{$UserAdvManager_GHOSTRACKER_REMINDERTEXT}</textarea><br><br>
+    	</li>
+{/if}
     </ul>
     
@@ -65,18 +73,18 @@
         <input type="radio" value="false" {$UserAdvManager_MAIL_INFO_FALSE} name="UserAdvManager_Mail_Info">{'UserAdvManager_Mail_Info_false'|@translate}<br><br>
     	</li>
-      
+{if $UserAdvManager_MAIL_INFO_TRUE}       
     	<li><label>{'UserAdvManager_MailInfo_Text'|@translate}</label><br><br>
         <textarea name="UserAdvManager_MailInfo_Text" id="UserAdvManager_MailInfo_Text" rows="10" cols="80" {$TAG_INPUT_ENABLED}>{$UserAdvManager_MAILINFO_TEXT}</textarea><br><br>
     	</li>
-      
+{/if}
     	<li><label>{'UserAdvManager_Confirm_Mail'|@translate}</label><br>
         <input type="radio" value="true" {$UserAdvManager_CONFIRM_MAIL_TRUE} name="UserAdvManager_Confirm_Mail">{'UserAdvManager_Confirm_Mail_true'|@translate}<br>
         <input type="radio" value="false" {$UserAdvManager_CONFIRM_MAIL_FALSE} name="UserAdvManager_Confirm_Mail">{'UserAdvManager_Confirm_Mail_false'|@translate}<br><br>
     	</li>
-      
+{if $UserAdvManager_CONFIRM_MAIL_TRUE}      
     	<li><label>{'UserAdvManager_ConfirmMail_Text'|@translate}</label><br><br>
         <textarea name="UserAdvManager_ConfirmMail_Text" id="UserAdvManager_ConfirmMail_Text" rows="10" cols="80" {$TAG_INPUT_ENABLED}>{$UserAdvManager_CONFIRMMAIL_TEXT}</textarea><br><br>
     	</li>
-      
+{/if}
     	<br>
 			<div style="text-align: center; font-size: 1.1em; color: red;"><b>{'UserAdvManager_Confirm_Group_Notice'|@translate}</b></div>
Index: extensions/NBC_UserAdvManager/trunk/admin/usermanager.tpl
===================================================================
--- extensions/NBC_UserAdvManager/trunk/admin/usermanager.tpl	(revision 4135)
+++ extensions/NBC_UserAdvManager/trunk/admin/usermanager.tpl	(revision 4143)
@@ -24,5 +24,5 @@
 			{foreach from=$users item=user name=users_loop}
   				<tr class="{if $smarty.foreach.users_loop.index is odd}row1{else}row2{/if}">
-    			<td><input type="checkbox" name="selection[]" value="{$user.ID}" {$user.CHECKED} id="selection-{$user.ID}" /></td>
+    			<td><input type="checkbox" name="selection[]" value="{$user.ID}" {$user.CHECKED} id="selection-{$user.ID}" ></td>
     			<td><label for="selection-{$user.ID}">{$user.USERNAME}</label></td>
     			<td>{$user.STATUS}</td>
@@ -36,5 +36,5 @@
   		{/foreach}
 		</table>
-    	<br/>
+    	<br>
 	    </li>
     </ul>
@@ -42,6 +42,6 @@
 <p>
   {'target'|@translate}
-  <label><input type="radio" name="target" value="all" /> {'all'|@translate}</label>
-  <label><input type="radio" name="target" value="selection" checked="checked" /> {'selection'|@translate}</label>
+  <label><input type="radio" name="target" value="all" > {'all'|@translate}</label>
+  <label><input type="radio" name="target" value="selection" checked="checked" > {'selection'|@translate}</label>
 </p>
 