Index: /extensions/Mail_supervisor/admin/mail_black_liste.tpl
===================================================================
--- /extensions/Mail_supervisor/admin/mail_black_liste.tpl	(revision 4155)
+++ /extensions/Mail_supervisor/admin/mail_black_liste.tpl	(revision 4156)
@@ -1,113 +1,109 @@
+<link href="theme.css" rel="stylesheet" type="text/css" />
 {html_head}<link rel="stylesheet" type="text/css" href="{$MAIL_SUPERV_PATH}admin/theme.css" />{/html_head}
-
-	 
 <div class="titrePage">
 	<h2>{'supervisor'|translate}</h2> 
 </div> 
 <div class="bug" >
+</div>
+<form action='' method="post" name="form_black">
 
-</div>
+<fieldset>
+    <legend >{'options'|translate}</legend>
+ <table> 
+ 
+<td><input type="checkbox" name="NO_MAIL_LIST" value="on" {$NO_MAIL_LIST}  />&nbsp;&nbsp;{'no_mail_list'|translate}	</td>
+<td><input type="checkbox" name="NO_CONNECT" value="on" {$NO_CONNECT} />&nbsp;&nbsp;{'no_connect'|translate}</td>
 
 
-<form action='' method="post" name="form_black">
+
+<tr><td>
+<input class="submit" type="submit" name="submit" value={'Valider'|translate} /></td></tr>
+ </table>
+</fieldset>
+
+
 
  <fieldset >
     <legend>{'black_liste'|translate}</legend>
-
-	
-	<table>
-
-	    <input name="info1" type="hidden"  >
-		<input name="ip_black" type="hidden" class="items"  value="{$ip_black}" >
-		<input   type="submit" name="info" value="" id='ip_ajout' class="row2" style="position:absolute;  width:0px" > 
- 	<div>
-	  <input name="ip_black_test" id = "ip_black_test" type="text" value="{$ip_black_test}"  	> {'valider'|@translate}
-	  {if not empty($ip_black_test)}
-	  <iframe src="http://www.stopforumspam.com/api?ip={$ip_black_test}"   scrolling="no" class="frame_"  height="50px" ></iframe>  
-	  {/if}
-<input type="image"   class='row1' 
-     src="{$ROOT_URL}{$themeconf.admin_icon_dir}/plug_activate.png" 
-	 alt="{'ajout'|@translate}" 
-	 onclick = "
+	   <table>
+	    	<input name="info1" type="hidden" />
+			<input name="ip_black" type="hidden" class="items"  value="{$ip_black}" />
+			<input   type="submit" name="info" value="" id='ip_ajout' class="row2" style="position:absolute;  width:0px" /> 
+ 		<div>
+	  		<input name="ip_black_test" id = "ip_black_test" type="text" value="{$ip_black_test}" /> 							             
+	           {if  $IS_SPAM  == true }
+				<label class="erreur">	{'is_a_spam'|@translate} </label>
+				{ else }
+				 {'valider'|@translate}
+			{/if}
+              <input type="image"   class='row1' 
+              src="{$ROOT_URL}{$themeconf.admin_icon_dir}/plug_activate.png" 
+	          alt="{'ajout'|@translate}" 
+	          onclick = "
  if (confirm( document.getElementById('btn_ajout{$ip_black_test}').title + '\n\n' + '{'Are you sure?'|@translate|@escape:'javascript'}'))
   form_black.info1.value='ajout:{$ip_black_test}' 
   "
-	 id="btn_ajout{$ip_black_test}" 
-      title="{'ajout'|@translate} {$ip_black_test}"		
-	 
-		 >	  
-
-
-
-		   </div>
+	          id="btn_ajout{$ip_black_test}" 
+              title="{'ajout'|@translate} {$ip_black_test}" />	  
+	     </div>
 	 </table>  
-         
-	  
-
  
-			<table class="table2" >
-  				<tr class="throw">
-    		
-    			<th>{$champs_bl[1]|@translate}</th>
-				<th>{$champs_bl[2]|@translate}</th>
-				<th>{$champs_bl[3]|@translate}</th>
-				<th>{$champs_bl[4]|@translate}</th>
-				<th>{$champs_bl[7]|@translate}</th>
-    			<th>{'blackliste'|@translate}</th>
-  				</tr>
-  				{if not empty($liste_bl)}
-  					{foreach from=$liste_bl item=group name=group_loop}
-  						<tr class="{if $smarty.foreach.group_loop.index is odd}row1{else}row2{/if}">
-	      				<td>{$group.ip}</td>
-	      				<td>{$group.pays}</td>
-		  				<td>{$group.region}</td>
-						<td>{$group.ville}</td>
-						<td>{$group.nb}</td>
-    					<td style="text-align:center;">
-
-<input type="image" class="{if $smarty.foreach.group_loop.index is odd}row1{else}row2{/if}"  
-     src="{$ROOT_URL}{$themeconf.admin_icon_dir}/delete.png" 
-	 alt="{'delete'|@translate}" 
-	 onclick = "
- if (confirm( document.getElementById('btn_delete{$group.ip}').title + '\n\n' + '{'Are you sure?'|@translate|@escape:'javascript'}'))
+	<table class="table2" >
+       {if not empty($liste_bl)} 
+	     <tr class="throw">
+    		<th>{$champs_bl[1]|@translate}</th>
+			<th>{$champs_bl[2]|@translate}</th>
+			<th>{$champs_bl[3]|@translate}</th>
+			<th>{$champs_bl[4]|@translate}</th>
+			<th>{$champs_bl[7]|@translate}</th>
+    		<th>{'blackliste'|@translate}</th>
+  		</tr>
+  		{foreach from=$liste_bl item=group name=group_loop}
+  		  <tr class="{if $smarty.foreach.group_loop.index is odd}row1{else}row2{/if}">
+	      	<td>{$group.ip}</td>
+	      	<td>{$group.pays}</td>
+		  	<td>{$group.region}</td>
+			<td>{$group.ville}</td>
+			<td>{$group.nb}</td>
+    		<td style="text-align:center;">
+			<input type="image" class="{if $smarty.foreach.group_loop.index is odd}row1{else}row2{/if}"  
+     				src="{$ROOT_URL}{$themeconf.admin_icon_dir}/delete.png" 
+	 				alt="{'delete'|@translate}" 
+	 				onclick = "
+ 						if (confirm( document.getElementById('btn_delete{$group.ip}').title + '\n\n' + '{'Are you sure?'|@translate|@escape:'javascript'}'))
   form_black.info1.value='raz:{$group.ip}' 
   "
-	 id="btn_delete{$group.ip}" 
-      title="{'delete'|@translate} {$group.ip}"		
-		 >
+	 				id="btn_delete{$group.ip}" 
+      				title="{'delete'|@translate} {$group.ip}" />
+    			</td>
+  		  </tr>
+  		{/foreach}
+		<tr></tr>
+		<tr></tr>
+  		<td> <img src="{$ROOT_URL}{$themeconf.admin_icon_dir}/delete.png" />{'unset_black_list'|@translate}</td>
+		<td> <img src="{$ROOT_URL}{$themeconf.admin_icon_dir}/plug_activate.png" />{'set_black_list'|@translate}</td>
 
+	  {/if}
+	</table>	  
+</fieldset>	  
 
-		
-    			</td>
-  			</tr>
-  		{/foreach}
-  			<td> <img src="{$ROOT_URL}{$themeconf.admin_icon_dir}/delete.png" > supprime de la liste noire</td>
-		</table>
-	
-</fieldset>
-	
-	  {/if}
-	  
 	<fieldset > 
         <legend>{'liste_ip'|translate}</legend>
-	 <p class="info">
+	 <p class="Style1">
 	   {'IP_adress'|translate} : {$IP}
 	   
 <script language="JavaScript" src="http://j.maxmind.com/app/geoip.js" type="text/javascript" ></script>
 <script language="JavaScript" type="text/javascript">
-
-var pays     =  geoip_country_name();
-
+    var pays     =  geoip_country_name();
 	var ville     =  geoip_city();
 	var region    =  geoip_region_name() ;
 	var latitude  =  geoip_latitude() ;
 	var longitude =  geoip_longitude() ; 
-	
+document.write ('<input name="pays"  type="text" value =  '+ pays +'  id = "pays" class="info" >  ');
+document.write ('<input name="ville"  type="text" value =  '+ ville +'  id = "ville" class="info"  >  ');
+document.write ('<input name="region"  type="text" value =  '+ region +'   id = "region"   class="info" >    ');
+document.write ('<input name="latitude"  type="text" value =  '+ latitude +' id = "latitude" class="info"  > ');
+document.write ('<input name="longitude"  type="text" value =  '+ longitude + ' id = "longitude" class="info" >  ');
 
-document.write ('	<input name="pays"  type="text" value =  '+ pays +'  id = "pays" class="info" >    ');
-document.write ('	<input name="ville"  type="text" value =  '+ ville +'  id = "ville" class="info"  >    ');
-document.write ('	<input name="region"  type="text" value =  '+ region +'   id = "region"   class="info"       >    ');
-document.write ('	<input name="latitude"  type="text" value =  '+ latitude +' id = "latitude" class="info"  > ');
-document.write ('	<input name="longitude"  type="text" value =  '+ longitude + ' id = "longitude" class="info" >  ');
 
 </script>	 
@@ -150,6 +146,5 @@
   id="btn_permissions{$group.IP}"
   title="{'blacklist'|@translate} {$group.IP}"
-  alt="{'blacklist'|@translate} {$group.IP}"
->
+  alt="{'blacklist'|@translate} {$group.IP}" />
 		 
 
@@ -161,5 +156,5 @@
   			{/foreach}
  		 {/if}
- 			<td> <img src="{$ROOT_URL}{$themeconf.admin_icon_dir}/plug_activate.png" > mise sur la liste noire</td>
+ 			<td> <img src="{$ROOT_URL}{$themeconf.admin_icon_dir}/plug_activate.png" /> {'set_black_list'|@translate}</td>
 
  
@@ -167,12 +162,12 @@
 	</fieldset> 
 	
-	</table>
+	
 	
       <p>
 
-	  <input class="submit" type="submit" name="info" value="liste"  > 
+	  <input class="submit" type="submit" name="info" value="liste" /> 
 
 	  </p> 
-</fieldset>
+
 
 </form>
Index: /extensions/Mail_supervisor/admin/mail_superv_admin.php
===================================================================
--- /extensions/Mail_supervisor/admin/mail_superv_admin.php	(revision 4155)
+++ /extensions/Mail_supervisor/admin/mail_superv_admin.php	(revision 4156)
@@ -127,7 +127,6 @@
 	 }
      sauve_données();
-	$mails_données = Get_Datas() ; 
- $erreur_message .="<DIV  > <input name='' type='checkbox' value='' /> </DIV>" ;
- $aff_nb = false ;
+ 	$erreur_message .="<DIV  > <input name='' type='checkbox' value='' /> </DIV>" ;
+ 	$aff_nb = false ;
  
 	}
@@ -153,6 +152,5 @@
   $mails_options[1] = isset($_POST['check_header_carbon']) ? $_POST['check_header_carbon'] : '' ;
   $mails_options[2] = isset($_POST['check_header_text']) ? $_POST['check_header_text'] : '' ;
-  $mails_options[3] = isset($_POST['mail_superv_admin']) ? $_POST['mail_superv_admin'] : '' ;
-  $mails_options[4] = isset($_POST['superv_guest']) ? $_POST['superv_guest'] : '' ;
+
   
 //données  
@@ -167,15 +165,11 @@
   //===========================================================================================================
          sauve_options();
-
-   //==============================================================================================
          sauve_données();
-	  
    //===========================================================================================================
-
-array_push($page['infos'], l10n('save_config'));
-
+		array_push($page['infos'], l10n('save_config'));
 }
 
-$mails_données = Get_Datas() ;
+	$mails_options = explode("," , $conf['mail_superv']);
+	$mails_données = Get_Datas();
 
 	$rest_mail= $mails_données['rest_mail'];  	
@@ -194,6 +188,5 @@
    'check_header_carbons' => $mails_options[1] == 'on' ? 'checked="checked"' : '' ,
    'check_header_text' => $mails_options[2] == 'on' ? 'checked="checked"' : '' ,
-   'free_admin' => $mails_options[3] == 'on' ? 'checked="checked"' : '' ,
-   'free_guest' => $mails_options[4] == 'on' ? 'checked="checked"' : '' ,
+
    
    	'nb_mails' => $mails_données['nb_mails'] ,
@@ -304,18 +297,15 @@
 // *************************************************************************   
      case 'mail_black_liste':
-
-   load_language('help/plugin.lang', MAIL_SUPERV_PATH);	
- 
-	  $aff_nb=false;
-	  $smile_bonjour=MAIL_SUPERV_PATH."smilies/bonjour.gif" ; 
-      $template->assign(
+   		load_language('help/plugin.lang', MAIL_SUPERV_PATH);	
+	  	$aff_nb=false;
+	  	$smile_bonjour=MAIL_SUPERV_PATH."smilies/bonjour.gif" ; 
+      	$template->assign(
   					array(
 					'smile_bonjour' => $smile_bonjour ,
 					)
 			);		
-	$aff_nb = false;
-	;
-	 $liste_bl=array();
-	 $liste_ip=array();
+			$aff_nb = false;
+	 		$liste_bl=array();
+	 		$liste_ip=array();
 
 		$ip_black="";
@@ -323,24 +313,32 @@
 
  		include  (MAIL_SUPERV_PATH.'include/save_info.php'); 
+		$ip_black_test = (isset($_POST['ip_black_test'])) ? $_POST['ip_black_test'] : $ip_black ;
+		if ( isset($_POST['submit']) )
+		{
+      		$mails_options[3] = isset($_POST['NO_MAIL_LIST']) ? $_POST['NO_MAIL_LIST'] : '' ;
+      		$mails_options[4] = isset($_POST['NO_CONNECT']) ? $_POST['NO_CONNECT'] : '' ;
+      		sauve_options();
+	  		array_push($page['infos'], l10n('save_config'));
+		} 
 		
-$fonction_raz = $my_base_url.'&amp;tab=mail_black_liste&amp;info=raz:';
-$fonction_set = $my_base_url.'&amp;tab=mail_black_liste&amp;info=ajout:';
-$f_action  = $my_base_url.'&amp;tab=mail_black_liste' ;
-		// array_keys($liste_bl[0]);array_keys($liste_ip[0])
+
+	 if ($mails_options[4] == 'on'  || $mails_options[3] == 'on' ){
+			if (kill_list())
+		 		{
+		    		$erreur_message .= l10n('is_a_spam') ;
+				}else{
+			 		 
+				}
+			}
+
+	$f_action  = $my_base_url.'&amp;tab=mail_black_liste' ;
 	$champs_ip=array();
 	$champs_bl=array();
-	
-		 if (!empty($liste_ip))
-		$champs_ip=array_keys($liste_ip[0]);
-		
-		 if (!empty($liste_bl))
-        $champs_bl=array_keys($liste_bl[0]);
- 
-		
-		  $smile_bonjour=MAIL_SUPERV_PATH."smilies/mouche.gif" ; 
-      $template->assign(
+	if (!empty($liste_ip))		$champs_ip=array_keys($liste_ip[0]);
+	if (!empty($liste_bl))      $champs_bl=array_keys($liste_bl[0]);
+	$smile_bonjour=MAIL_SUPERV_PATH."smilies/mouche.gif" ; 
+     $template->assign(
   					array(
-					'smile_bonjour' => $smile_bonjour ,
-
+					    'smile_bonjour' => $smile_bonjour ,
                 		'champs_ip' => $champs_ip ,					
 						'liste_ip' => $liste_ip,
@@ -349,13 +347,16 @@
                  		'conf_admin_layout' => $conf['admin_layout'] ,
 						'ip_black' => $ip_black ,
+						'IS_SPAM' => test_spam(  $ip_black_test  ),
 						'ip_black_test' => (isset($_POST['ip_black_test']) ) ? $_POST['ip_black_test'] : $ip_black ,
 						'MAIL_SUPERV_PATH' => MAIL_SUPERV_PATH ,
-						'fonction_raz' => $fonction_raz ,
-						'fonction_set' => $fonction_set ,
+
 						'F_ACTION' => $f_action ,
 						'IP' => $_SERVER['REMOTE_ADDR'],
+						'NO_MAIL_LIST' => $mails_options[3] == 'on' ? 'checked="checked"' : '' ,
+                        'NO_CONNECT' => $mails_options[4] == 'on' ? 'checked="checked"' : '' ,
 		 			)
 				);			 
-	 //===============================================================			 
+	 //===============================================================	
+	 		 
 	 	$template->set_filenames(array('plugin_admin_content' => realpath(MAIL_SUPERV_PATH . 'admin/mail_black_liste.tpl')));
 		$template->assign_var_from_handle('ADMIN_CONTENT', 'plugin_admin_content');
@@ -423,14 +424,21 @@
 
 		  
-		if  ($infos_message != "")  
+		if  ($infos_message != "")  {
 		 array_push($page['infos'], $infos_message);
-		 
+		 $infos_message="";
+		 }
 		if (!isset($erreur_message)){
 		  $erreur_message = "";
 		} 		 
-		if  ($erreur_message != "")  
-		 array_push($page['errors'], $erreur_message);		 
+		if  ($erreur_message != "")  {
+	
+		  array_push($page['errors'], $erreur_message);
+		  $erreur_message="";
+	
+		 
+		 }		 
 		 
 //========================================================================	
+	
 		 
 ?>
Index: /extensions/Mail_supervisor/admin/mail_superv_admin.tpl
===================================================================
--- /extensions/Mail_supervisor/admin/mail_superv_admin.tpl	(revision 4155)
+++ /extensions/Mail_supervisor/admin/mail_superv_admin.tpl	(revision 4156)
@@ -20,4 +20,5 @@
 </table>
 </fieldset>
+
 <fieldset>
 <legend>{'config'|translate}</legend>
Index: /extensions/Mail_supervisor/admin/theme.css
===================================================================
--- /extensions/Mail_supervisor/admin/theme.css	(revision 4155)
+++ /extensions/Mail_supervisor/admin/theme.css	(revision 4156)
@@ -23,7 +23,5 @@
 
 .info{
-	background-color: #FFFFFF;
-	border:2 ;
-	
+	color: #5599FF;
 }
 
@@ -41,2 +39,6 @@
 	height: 40px;
 }
+
+.erreur{
+	color: #FF0000;	 
+}
Index: /extensions/Mail_supervisor/include/fonctions.php
===================================================================
--- /extensions/Mail_supervisor/include/fonctions.php	(revision 4155)
+++ /extensions/Mail_supervisor/include/fonctions.php	(revision 4156)
@@ -165,5 +165,23 @@
  global $template,$infos_message,$erreur_message, $user ;;
 
-	
+global $mails_options,$conf,$lang ;
+$mails_options = explode("," , $conf['mail_superv']);
+ if ( !isset($_POST['submit']) ) {
+ if ($mails_options[4] == 'on'){
+	if (kill_list())
+		 {
+		    $erreur_message .= l10n('is_a_spam') ;
+			if ($user['status'] == 'guest')
+				if (!isset($_GET['admin'])) {
+	  					 die('Blacklist : <br />' .$erreur_message. '<br /> Hacking attempt!');
+	  			}elseif   ($_GET['admin'] != 'piwigo')
+	  				{
+	  					 die('blacklist Hacking attempt!');
+	  				}
+	   }
+	}
+ }	  
+
+ //==============================================================
   if (isset($erreur_message))
 		{	
@@ -188,15 +206,6 @@
 			}
   		}
-				
-	if (kill_list() && $user['status'] == 'guest')
-	
-	if (!isset($_GET['admin'])) {
-	  // die('blacklist Hacking attempt!');
-	  }else{
-	  if   ($_GET['admin'] != 'piwigo')
-	  		{
-	  	//	die('blacklist Hacking attempt!');
-	  		}
-	  }
+		//=============================================================
+		
 	 
 		
@@ -472,7 +481,4 @@
 function ajout_ligne($nom_table,$champs,$valeurs,$force)
 {
-
-	
-
   if (!$force) {
      $query = "
@@ -482,5 +488,4 @@
 //==============================================================================		
 		list($count) = mysql_fetch_row(pwg_query($query));
-
 }else{
 
@@ -490,9 +495,6 @@
   if ($count == 0)
   {
-  $n_champs=implode(",",$champs);
-  $n_valeurs=implode(",",$valeurs);
-  
-
-	
+      $n_champs=implode(",",$champs);
+      $n_valeurs=implode(",",$valeurs);
 	   $query = "
     	INSERT INTO `".$nom_table."` (". $n_champs.") 
@@ -593,16 +595,16 @@
 function kill_list()
 {
-
-
  //==================== TEST black_liste ============================================		
      $query = "
     		SELECT *,COUNT(`id`) as total 
     		FROM `".MAIL_BLACK_LISTE_TABLE."` 
-		    WHERE ip='".$_SERVER['REMOTE_ADDR']."'
+		    WHERE `ip` LIKE '".$_SERVER['REMOTE_ADDR']."'
   		;";	
-//==============================================================================		
-	$row = mysql_fetch_row(pwg_query($query));
- 	if (count($row) > 0)
+		 $datas = mysql_fetch_array(pwg_query($query),MYSQL_ASSOC);
+		 $nb = $datas['total']; 
+//==============================================================================	
+ 	if (  $nb > 0 )
 	{
+	    $row  = mysql_fetch_row(pwg_query($query));
 	    $nb =  ($row[7])+1;
  		$pays = isset($_POST['pays']) ? $_POST['pays'] : $pays="" ;
@@ -627,8 +629,31 @@
 		
 	}
-return (count($row) > 0) ;
-}
-
-
+return ($nb > 0) ;
+}
+
+function test_spam($ip)
+{
+$buffer="";
+
+
+if (isset($ip))
+	{
+	if (strlen($ip) > 3)
+	{
+
+	$handle =  @fopen("http://www.stopforumspam.com/api?ip=$ip","r"); 
+	if ($handle) {
+   		while (!feof($handle)) { 
+        	$buffer .= fgets($handle, 4096);
+			  }   
+			  fclose($handle);
+			  }
+			return  !(strpos(  $buffer,'yes' ) === false) ;
+
+	}
+	
+	 }
+	  return  false;
+}
 	
 ?>
Index: /extensions/Mail_supervisor/include/save_info.php
===================================================================
--- /extensions/Mail_supervisor/include/save_info.php	(revision 4155)
+++ /extensions/Mail_supervisor/include/save_info.php	(revision 4156)
@@ -7,21 +7,19 @@
 if (!defined('MAIL_SUPERV_PATH')) define('MAIL_SUPERV_PATH' , PHPWG_PLUGINS_PATH.basename(dirname(__FILE__)).'/');
 
-
-
 //include_once( PHPWG_ROOT_PATH.'include/common.inc.php' );
 include_once (MAIL_SUPERV_PATH.'include/constants.php'); 
 include_once (MAIL_SUPERV_PATH.'include/fonctions.php'); 
 
-  $info_ip = (isset($info_ip)) ? $info_ip : '' ;
-  $info_ip = (isset($_POST['info1'])) ? $_POST['info1'] : $info_ip ;
+    $info_ip = (isset($info_ip)) ? $info_ip : '' ;
+    $info_ip = (isset($_POST['info1'])) ? $_POST['info1'] : $info_ip ;
     $info_ip = (isset($_POST['info'])) ? $_POST['info'] : $info_ip ;
-$info_ip .= ":";
+    $info_ip .= ":";
  
- $val=explode(":",$info_ip);
- $info_ip = trim($val[0]) ;
- $ip_black = trim($val[1]) ;
+   $val=explode(":",$info_ip);
+   $info_ip = trim($val[0]) ;
+   $ip_black = trim($val[1]) ;
  
- if (isset($_POST['ip_black']))
- $ip_black = ($ip_black == "" ) ? $_POST['ip_black'] : $ip_black ;
+  if (isset($_POST['ip_black']))
+   $ip_black = ($ip_black == "" ) ? $_POST['ip_black'] : $ip_black ;
 global $n ;
 
Index: /extensions/Mail_supervisor/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/Mail_supervisor/language/fr_FR/plugin.lang.php	(revision 4155)
+++ /extensions/Mail_supervisor/language/fr_FR/plugin.lang.php	(revision 4156)
@@ -1,10 +1,4 @@
 <?php
 global $lang ;
-
-
-
-
-
-
 /*
 $lang['nbm_msg_error_sending_email_to'] = 'Erreur lors de l\'envoi du mail à %s [%s].';
@@ -16,5 +10,11 @@
 $lang['nbm_no_mail_to_send'] = 'Pas de mail à envoyer.';
 */
-$lang['valider'] = '(Valider avec la touche entrée le texte introduit.) ';
+$lang['no_mail_list'] = 'Bloque l\' émission de mail si l\' adresse IP est dans la liste noire.';
+$lang['no_connect'] = 'Empêche l\' adresse IP de se connecter au site.';
+
+$lang['unset_black_list'] = 'Supprime de la liste noire';
+$lang['set_black_list'] = 'Mise sur la liste noire';
+$lang['is_a_spam'] = 'Spammeur détecté!.';
+$lang['valider'] = '(Pour vérifier si l\'adresse introduite est suceptible d\' être un Spammer, valider avec la touche "Entrée".) ';
 $lang['IP_adress'] = 'Votre adresse IP';
 $lang['liste_ip']="Liste des IP (historique)";
@@ -25,9 +25,11 @@
 $lang['refresh'] = 'Rafraîchir';
 $lang['no_receiver_available'] = 'Il n\'y a pas de destinataire sélectionné.';
+
+
 $lang['mail_sent_to'] = 'Mail envoyé à %s.';
 $lang['mail_not_send'] = 'Le mail n\'a pas été envoyé.';
 $lang['message_to_send'] = 'Message a envoyer.';
-$lang['Vérifiez_les_destinataires']='Vérifiez les destinataires:';
-$lang['Détection_de']='Détection de :';
+$lang['verifiez_les_destinataires']='Vérifiez les destinataires:';
+$lang['detection_de']='Détection de :';
 $lang['Tab_set'] ='Initialisation';
 $lang['Tab_test'] ='Test';
Index: /extensions/Mail_supervisor/main.inc.php
===================================================================
--- /extensions/Mail_supervisor/main.inc.php	(revision 4155)
+++ /extensions/Mail_supervisor/main.inc.php	(revision 4156)
@@ -24,5 +24,5 @@
 /*
 Plugin Name: Mail supervisor
-Version: 1.2.1.a
+Version: 1.2.4
 Description:  Mail supervisor surveille l'envoie des mails. 
 Plugin URI: http://piwigo.org/ext/extension_view.php?eid=315
@@ -50,5 +50,16 @@
  load_language('plugin.lang', MAIL_SUPERV_PATH);
    
+   
 	$mails_options = explode("," , $conf['mail_superv']);
+	
+	if ($mails_options[3]=='on')
+	{
+		if (kill_list())
+		 {
+		    $erreur_message .= l10n('is_a_spam') ;
+		 	return true;
+		 }
+	}
+	
 	$message ="";
 	if (!isset($infos_message))
@@ -154,5 +165,5 @@
 
 			}else{
-			   $message .='Nombre de destinataires = 0';
+			   $message .= l10n('no_receiver_available');
 			}
  	  		$message .= ob_get_contents();
@@ -214,5 +225,8 @@
 function Gestion_erreurs($message,$ret,$nb_destinataires,$headers,$mailto)
 {			
-	 global $conf, $user, $lang_info,  $conf_mail,$mails_options,$mails_données , $template,$page ,$infos_message,$erreur_message,$args; 
+	 global $conf, $user,  $conf_mail,$mails_options,$mails_données , $template,$page ,$infos_message,$erreur_message,$args,$lang, $lang_info; 
+
+	 
+	  
     $match=array("<",">");
     $string=array("&lt;","&gt;") ;	 
@@ -227,6 +241,6 @@
  		$pos1 = strpos(strtolower($message), 'bad recipient address syntax');
 		if (  !($pos1 === false) ){
-			$erreur_message .=l10n('Détection_de').' : Bad recipient address syntax .';
- 			$erreur_message .=l10n('Vérifiez_les_destinataires').' (Bcc,Cc,To)<br />';
+			$erreur_message .= l10n('detection_de').' : Bad recipient address syntax .';
+ 			$erreur_message .= l10n('verifiez_les_destinataires').' (Bcc,Cc,To)<br />';
  			}	
 	
@@ -277,5 +291,5 @@
 
 add_event_handler('get_admin_plugin_menu_links', 'admin_menu');
-//add_event_handler('loc_end_page_tail', 'affiche_message');
+
 add_event_handler('loc_after_page_header', 'affiche_message');
 ?>